int main(void)
{
    /* Initialized data */
    static float a[16] /* was [4][4] */ = { 7.9f,8.5f,4.3f,3.2f,5.6f,-4.8f,
                       4.2f,-1.4f,5.7f,.8f,-3.2f,-8.9f,-7.2f,3.5f,9.3f,3.3f };
    /* Local variables */
    static int ierr;
    static float b[32] /* was [4][8] */;
    static int i__, j, m, n, nlead[4];
    extern int ammgr_c(float *, int *, int *, int *, float *, int *,
                       int *, int *);
    static int mm, nn;

#define a_ref(a_1,a_2) a[(a_2)*4 + a_1 - 5]
#define b_ref(a_1,a_2) b[(a_2)*4 + a_1 - 5]

    m = 4;
    n = m;
    mm = m;
    nn = 8;
    for (i__ = 1; i__ <= 4; ++i__) {
        for (j = 1; j <= 4; ++j) {
            b_ref(i__, j) = a_ref(i__, j);
            b_ref(i__, j + 4) = a_ref(i__, j);
/* L1: */
        }
/* L2: */
    }
    for (i__ = 1; i__ <= 4; ++i__) {
         printf("\n  %16.7e %16.7e %16.7e %16.7e \n",
                a_ref(i__, 1), a_ref(i__, 2), a_ref(i__, 3), a_ref(i__, 4));
    }
    ammgr_c(a, &m, &n, nlead, b, &mm, &nn, &ierr);

    printf("\n  %5i %5i %5i %5i \n", nlead[0], nlead[1], nlead[2], nlead[3]);
    for (i__ = 1; i__ <= 4; ++i__) {
         printf("\n  %16.7e %16.7e %16.7e %16.7e \n",
                a_ref(i__, 1), a_ref(i__, 2), a_ref(i__, 3), a_ref(i__, 4));
    }
    printf("\n  %5i \n", ierr);
    for (i__ = 1; i__ <= 4; ++i__) {
         printf("\n  %12.4e %12.4e  %12.4e %12.4e \n",
                b_ref(i__, 1), b_ref(i__, 2), b_ref(i__, 3), b_ref(i__, 4));
         printf("\n  %12.4e %12.4e  %12.4e %12.4e \n",
                b_ref(i__, 5), b_ref(i__, 6), b_ref(i__, 7), b_ref(i__, 8));
    }
    return 0;
} /* main */

#undef b_ref
#undef a_ref
